<?php
/**
 * @category   Alogic
 * @package    Alogic_Resellers
 * @author     dushyant.joshi@alogic.co
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\Customadmin\Model\Source;

use Magento\Eav\Model\Entity\Attribute\Source\AbstractSource;
use Magento\Eav\Model\Entity\Attribute\Source\SourceInterface;
use Magento\Framework\Data\OptionSourceInterface;

/**
 * Item status functionality model
 */
class Type extends AbstractSource implements SourceInterface, OptionSourceInterface {
	/**#@+
		     * Item Status values
	*/
	const TYPE_RESELLER = 1;
	const TYPE_DITRIBUTOR = 2;
	const TYPE_RETAILER = 3;

	/**
	 * Retrieve option array
	 *
	 * @return string[]
	 */
	public static function getOptionArray() {
		return [
			self::TYPE_RESELLER => __('Reseller'),
			self::TYPE_DITRIBUTOR => __('Distributor'),
			self::TYPE_RETAILER => __('Retailer'),
		];
	}

	/**
	 * Retrieve option array with empty value
	 *
	 * @return string[]
	 */
	public function getAllOptions() {
		$result = [];

		foreach (self::getOptionArray() as $index => $value) {
			$result[] = ['value' => $index, 'label' => $value];
		}

		return $result;
	}
}